import express from 'express';
import * as sectorController from '../controllers/sector.controller.js';
import { requireAuth } from '../middlewares/auth.middleware.js';

const router = express.Router();

router.get('/list', requireAuth, sectorController.getSectorsList);
router.post('/join', requireAuth, sectorController.joinSector);

export default router;